let shoulder;
let elbow;
let claw;

function setup()
{
  createCanvas( 500, 400 );

  createP('Shoulder:');
  shoulder = createSlider( -90, 90, 0 )
    .style( 'width', '200px' )
    .style( 'height', '20px' );

  createP('Elbow:');
  elbow = createSlider( -90, 90, 0 )
    .style( 'width', '200px' )
    .style( 'height', '20px' );

  createP('Claw:');
  claw = createSlider( 0, 90, 45 )
  .style( 'width', '200px' )
  .style( 'height', '20px' );
  
}

function draw()
{
  background( 0 );
  stroke( 255 );
  fill( 100 );

  push();
    translate( width/2, height - 25 );
    rotate( radians( shoulder.value() ) );
    rect( -20, -150, 40, 150 );
  
    push();
      translate( 0, -150 );
      rotate( radians( elbow.value() ) );
      rect( -20, -100, 40, 100 );
    
      push();
        translate( 0, -100 );
        push();
          rotate( -radians( claw.value() ) );
          rect( -5, -40, 10, 40 );
        pop();
  
        push();
          rotate( radians( claw.value() ) );
          rect( -5, -40, 10, 40 );
        pop();
      pop();
  
    pop();
    
  pop();
}
