// Craig S. Kaplan

// As a precursor to geometric context, start by 
// drawing a house the old fashioned way -- no context.

function setup() {
  createCanvas( 500, 500 );
}

function drawHouse() {
  fill( 191, 179, 117 );
  // Facade
  rect( 150, 200, 200, 150 );
  // Chimney
  rect( 320, 120, 30, 80 );
  
  fill( 62, 54, 47 );
  // Roof
  triangle( 250, 100, 120, 200, 370, 200 );
  
  fill( 222, 88, 76 );
  // Door
  rect( 230, 280, 40, 70 );
  
  fill( 232, 232, 232 );
  // Smoke
  ellipse( 330, 100, 50, 20 );
  ellipse( 350, 70, 40, 20 );
}

function draw() {
  background( 255 );
  drawHouse();
}