// Craig S. Kaplan
// Draw a house using a helper function that takes
// a translation amount into account.

function setup() {
  createCanvas( 500, 500 );
}

function drawHouse( dx, dy ) {
  // Facade
  fill( 191, 179, 117 );
  rect( -100+dx, -150+dy, 200, 150 );

  // Roof
  fill( 62, 54, 47 );
  triangle( 
    dx, -250+dy,
    -130+dx, -150+dy,
    130+dx, -150+dy );
}

function draw() {
  background( 255 );
  drawHouse( 0.5*width, 0.75*height );
}