// Craig S. Kaplan

// Use accumulation of scaling and rotation operations
// to create a pretty pattern of ellipses.

let rot = 0.1;

function setup()
{
  createCanvas( 500, 500 );
  rectMode( CENTER );
}

function draw()
{
  background( 255 );
  translate( 250, 250 );
  noFill();
  
  for( let idx = 0; idx < 100; ++idx ) {
    // fill( map( idx, 0, 100, 220, 80 ) );
    ellipse( 0, 0, 400, 300 );
    scale( 0.95 );
    rotate( rot );
  }
  
  rot = rot + 0.001;
}