// Craig S. Kaplan
// Create a pretty pattern of rotated squares.

let rot = 0.1;

function setup()
{
  createCanvas( 600, 600 );
  rectMode( CENTER );
}

function draw()
{
  background( 255 );
  translate( width/2, height/2 );
  
  for( let idx = 0; idx < 100; ++idx ) {
    fill( map( idx, 0, 100, 220, 80 ) );
    rect( 0, 0, 400, 400 );
    scale( 0.95 );
    rotate( rot );
  }
  
  rot = rot + 0.001;
}